Subject: Re: Draft charter for L3VPN: inter-AS/inter-provider

From: Loa Andersson <[email-masked]>
Date: Tue, 27 May 2003 11:16:04 +0200

Ross,

thinking about this I believe that there are four different scenarios:

- single provider / single AS
- single provider / multiple AS
- multiple co-operating providers / multiple AS
- Internet

I would like any solution for the L3 VPN to work in all these
scenarions. Having said this I also recognize that there is a
difference on possible level of service in the different scenarios.

While an L3VPN across the Internet will be a best effort service,
the same service in the single provider / single AS might give you
absolute QoS guarantees.

So I my take is that we need to be open recognize all these scenarios
in the charter, but would like to see i clear priority.

My personal priority today would be:

1. Internet
2. single provider / single AS
3. multiple co-operating providers / multiple AS
4. single provider / multiple AS

Where priority 1 and 2 is a photo finish decision.

/Loa

Ross Callon wrote:
> At 10:02 AM 5/12/2003 -0700, Yakov Rekhter wrote:
> 
>>... The inter-AS
>>solution must has enough details from the very beginning to
>>demonstrate that there is a a backwards compatible migration path
> 
>>from intra-provider to inter-provider.
> 
>>Yakov.
> 
> 
> My understanding is that this discussion is still related to what goes into
> the proposed charter for the Layer 3 VPN working group. In this context
> we don't have to solve the problem right now, we just need to decide
> what goes into the charter. 
> 
> My personal view is that multi-AS one-provider is important enough that
> it is worth mentioning in the charter. Multi-AS, multi-provider is probably
> also something that we want to have as a possible option. Thus I think 
> that we might as well mention these in the charter. 
> 
> I am not so sure about slowing down the base documents in order to 
> get the multi-AS cases fully fleshed out. We have already slowed down 
> the base documents to wait to finish the Framework and Requirements 
> documents, and there is the possibility of slowing them down to wait 
> for a security document. 
> 
> To me whether to insist on the inter-AS case being solved and fully
> documented before progressing the solutions documents comes down
> to three things: (i) How important are the multi-AS cases; and (ii) How
> confident are we that if we postpone the multi-AS work, that we 
> won't end up with a situation where we wish that we had changed the
> base documents; and (iii) How long will it take to fully document the
> inter-AS cases?
> 
> A question for Alex and Thomas Narten: Suppose hypothetically that
> there is consensus to work on the inter-AS cases, and suppose that 
> we don't want to slow down the base documents to wait for this to
> complete. In this case, the L3 VPN working group might work on 
> progressing existing documents (the long list from the proposed 
> charter that Alex sent out) as a high priority item, and work on the
> inter-AS cases as a lower priority. In this case, would we want to 
> explicitly mention the Inter-AS cases in the charter? 
> 
> Ross
> 
> 
> 
> 
> 
> 

-- 
/Loa

mobile + 46 739 81 21 64
email: [email-masked]

---

From: Alex Zinin <[email-masked]>
Date: Fri, 30 May 2003 13:10:29 -0700

I like this idea. I think we should list Loa's suggested deployment
scenarios in the charter and couple the WG tasks + milestones to them.

The updated charter should be ready next week.

-- 
Alex
http://www.psg.com/~zinin/